## glob2 0.9.4.4

=== SConstruct ===
--- 
+++ 
@@ -30,8 +30,8 @@
     Help(opts.GenerateHelpText(env))
     opts.Update(env)
     opts.Save("options_cache.py", env)
-    
-    
+
+
 class Configuration:
     """Handles the config.h file"""
     def __init__(self):
@@ -42,7 +42,7 @@
         self.f.write("// %s\n" % doc)
         self.f.write("#define %s %s\n" % (variable, value))
         self.f.write("\n")
-    
+
 def configure(env):
     """Configures glob2"""
     conf = Configure(env.Clone())
@@ -64,7 +64,7 @@
         configfile.add("USE_WIN32", "Set when this build is Win32")
     configfile.add("PRIMARY_FONT", "This is the primary font Globulation 2 will use", "\"" + env["font"] + "\"")
 
-        
+
     server_only=False
     if env['server']:
         env.Append(CPPDEFINES=["YOG_SERVER_ONLY"])
@@ -119,7 +119,7 @@
         print "Could not find libboost_thread or libboost_thread-mt or boost/thread/thread.hpp"
         missing.append("libboost_thread")
     env.Append(LIBS=[boost_thread])
-    
+
     boost_date_time = ''
     if conf.CheckLib("boost_date_time") and conf.CheckCXXHeader("boost/date_time/posix_time/posix_time.hpp"):
         boost_thread="boost_thread"
@@ -129,7 +129,7 @@
         print "Could not find libboost_date_time or libboost_date_time-mt or boost/thread/thread.hpp"
         missing.append("libboost_date_time")
     env.Append(LIBS=[boost_date_time])
-    
+
 
     if not conf.CheckCXXHeader("boost/shared_ptr.hpp"):
         print "Could not find boost/shared_ptr.hpp"
@@ -146,7 +146,7 @@
     if not conf.CheckCXXHeader("boost/lexical_cast.hpp"):
         print "Could not find boost/lexical_cast.hpp"
         missing.append("boost/lexical_cast.hpp")
-     
+
     #Do checks for OpenGL, which is different on every system
     gl_libraries = []
     if isDarwinPlatform and not server_only:
@@ -175,11 +175,11 @@
     elif not server_only:
         print "Could not find libGLU or glu32, or could not find GL/glu.h or OpenGL/glu.h"
         missing.append("GLU")
-    
+
     if gl_libraries or isDarwinPlatform:
         configfile.add("HAVE_OPENGL ", "Defined when OpenGL support is present and compiled")
         env.Append(LIBS=gl_libraries)
-    
+
     #Do checks for fribidi
     if conf.CheckLib('fribidi') and conf.CheckCXXHeader('fribidi/fribidi.h'):
         configfile.add("HAVE_FRIBIDI ", "Defined when FRIBIDI support is present and compiled")
@@ -209,12 +209,12 @@
                 print "         no portaudio - let us know at:"
                 print "         no portaudio - https://savannah.nongnu.org/bugs/index.php?24668"
                 print "         no portaudio"
-        
+
     if missing:
         for t in missing:
             print "Missing %s" % t
         Exit(1)
-       
+
     conf.Finish()
 
 def main():
@@ -230,12 +230,12 @@
         env.Clone()
     except AttributeError:
         env.Clone = env.Copy
-    
+
     if not env['CC']:
         print "No compiler found in PATH. Please install gcc or another compiler."
         Exit(1)
-    
-    env["VERSION"] = "0.9.4.1"
+
+    env["VERSION"] = "0.9.4.4"
     establish_options(env)
     #Add the paths to important mingw libraries
     if env['mingw'] or isWindowsPlatform:
@@ -262,3 +262,4 @@
         env.Append(CPPDEFINES=['-D_GNU_SOURCE=1', '-Dmain=SDL_main'])
     else:
         env.ParseConfig("sdl-config --cflags")
+        env.ParseConfig("sdl-config --libs")
