=== debian/changelog ===
glob2 (0.9.4.4-9build2) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:08:24 +0200

glob2 (0.9.4.4-9build1) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 16:58:00 +0200

glob2 (0.9.4.4-9) unstable; urgency=medium

  * Update my email
  * Rewrite d/copyright in machine-readable format

 -- Alexandre Detiste <tchet@debian.org>  Sat, 05 Jul 2025 13:17:48 +0200

glob2 (0.9.4.4-8) unstable; urgency=medium

  * Adopt game inside Games Team (Closes: #845283)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 30 Mar 2025 14:28:02 +0200

glob2 (0.9.4.4-7) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 4.6.0 to 4.7.0.
  * Use wrap-and-sort -at for debian control files
  * Fix day-of-week for changelog entry 0.9.4.4-2.1.
  * Replaced obsolete libfreetype6-dev build depend with libfreetype-dev,
  * Adjusted d/rules clean target to make package rebuildable
    (Closes: #1044445).

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 29 May 2024 22:37:18 +0200

glob2 (0.9.4.4-6) unstable; urgency=medium

  * QA upload.
  * SConstruct: Explicitly add SOURCE_DATE_EPOCH to the environment.
    (Closes: #1010466)
  * debian/control: Update to debhelper-compat 13.
  * debian/control: Update Standards-Version to 4.6.0.

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Mon, 02 May 2022 07:40:16 -0700

glob2 (0.9.4.4-5) unstable; urgency=low

  * QA upload.
  * debian/rules: Drop override_dh_auto_clean. (Closes: #975201)

 -- Adrian Bunk <bunk@debian.org>  Sat, 02 Jan 2021 00:01:55 +0200

glob2 (0.9.4.4-4) unstable; urgency=low

  * QA upload.
  * Add patch for FTBFS with Boost >= 1.69. (Closes: #960422)

 -- Adrian Bunk <bunk@debian.org>  Tue, 02 Jun 2020 13:56:20 +0300

glob2 (0.9.4.4-3) unstable; urgency=medium

  * QA upload.
  * Orphan package. (see: #845283)
  * Fix build with Python3-enabled scons. (Closes: #947563)
  * Convert to source format 3.0 (quilt).
  * Convert to dh-style build.
  * Update to debhelper compat 12.
  * Update Standards-Version to 4.5.0:
    - drop menu file
    - declare that d/rules does not require root
  * Drop ancient version restrictions.
  * Drop unneeded d/*.dirs and README.source.
  * Mark glob2-data as Multi-Arch: foreign.
  * Build with all hardening options.
  * Remove trailing whitespace from d/changelog.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 02 Feb 2020 14:42:49 +0100

glob2 (0.9.4.4-2.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Add missing build-arch and build-indep targets to debian/rules.
    Thanks to Santiago Vila for the patch. (Closes: #821987)
  * Add glob2-gcc6.patch and fix FTBFS with GCC-6. Thanks to Graham Inggs and
    Leo Wandersleb for the patch. (Closes: #812167)
  * debian/rules: Replace deprecated dh_clean -k with dh_prep.

 -- Markus Koschany <apo@debian.org>  Wed, 28 Sep 2016 22:26:07 +0200

glob2 (0.9.4.4-2.4) unstable; urgency=medium

  * Non-maintainer upload.

  [ Matthias Klose ]
  * Fix build failure with GCC 5.

  [ Markus Koschany ]
  * Update glob2.menu. Add longtitle and icon entry.
  * Install glob2-32x32.xpm to /usr/share/pixmaps. Closes: #737904.

  [ Justin B Rye ]
  * Update package descriptions. Closes: #785609.

 -- Matthias Klose <doko@debian.org>  Fri, 28 Aug 2015 19:27:48 +0200

glob2 (0.9.4.4-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build failures with recent GCC and scons versions (Sphinx Jiang).
    Closes: #746854.

 -- Matthias Klose <doko@debian.org>  Sat, 09 Aug 2014 13:39:32 +0200

glob2 (0.9.4.4-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Build against boost1.53, build depend on boost-system. (Closes: #701288)
  * Added missing pthread lib to link, fixing FTBFS. (Closes: #713610)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Thu, 01 Aug 2013 11:47:01 +0100

glob2 (0.9.4.4-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/tutorial-part4.map.uuencode:
    - Patch tutorial-part4.map to adjust size of the map in order to fix
      a runtime crash during the game (Closes: #595448).
  * debian/control:
    - Build-depend on bspatch and sharutils, bspatch and uudecode needed.
  * debian/rules:
    - UUdecode patch and apply to binary file.

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 24 Aug 2011 00:29:16 +0200

glob2 (0.9.4.4-2) unstable; urgency=low

  * Acknowledged NMU.  Thank you, Gregor!
  * debian/rules: Added a patch from Ubuntu to FTBFS with Python 2.6
    (closes: #554190).  Thanks, Ilya Barygin!
  * debian/control:
    - Bumped Standards-Version to 3.8.4 (no changes).
    - Added ${misc:Depends} to glob2 and glob2-data.

 -- David Martínez Moreno <ender@debian.org>  Wed, 12 May 2010 12:11:25 +0200

glob2 (0.9.4.4-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS with GCC 4.4: 'class GAGCore::StreamBackend' has no
    member named 'getc'", apply patch frum Ubuntu, thanks to Ilya Barygin
    (closes: #553706).

 -- gregor herrmann <gregoa@debian.org>  Fri, 25 Dec 2009 19:34:33 +0100

glob2 (0.9.4.4-1) unstable; urgency=low

  * New upstream release (closes: #549947).  Thanks, Gerfried Fuchs, for
    pushing this forward and some fixes in this release.  Main changes
    are:
    - Rare bug fixed which made glob2 to crash.
    - Corrupted tutorials and bugs in editor fixed.
  * Change patch 02_upstream_changelog to work with source format 3.0
    (quilt).  This should have been part of the fix for #485248.
  * debian/copyright: Add the word Copyright to the debian copyright.
  * Add README.source about quilt, thus fixing lintian warning.

 -- David Martínez Moreno <ender@debian.org>  Sun, 25 Oct 2009 10:16:13 +0100

glob2 (0.9.4.1-1) unstable; urgency=low


