=== debian/control ===
Source: glob2
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Alexandre Detiste <tchet@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 bsdiff,
 libboost-date-time-dev,
 libboost-dev,
 libboost-math-dev,
 libboost-system-dev,
 libboost-thread-dev,
 libfreetype-dev,
 libfribidi-dev,
 libglu1-mesa-dev | libglu-dev,
 libsdl-image1.2-dev,
 libsdl-net1.2-dev,
 libsdl-ttf2.0-dev,
 libsdl1.2-dev,
 libspeex-dev,
 libvorbis-dev,
 portaudio19-dev,
 scons,
 sharutils,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://globulation2.org
Vcs-Browser: https://salsa.debian.org/games-team/glob2
Vcs-Git: https://salsa.debian.org/games-team/glob2.git
X-Style: black

Package: glob2
Architecture: any
Depends:
 glob2-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: innovative Real Time Strategy game
 Globulation 2 is an ongoing, multi-platform project to create innovative
 high-quality RTS gameplay, minimizing micro-management and assigning tasks
 to the units automatically. You just have to order the number of units you
 want for a selected task and the units will do their best to satisfy your
 requirements.
 .
 Glob2 can be played by a single player, through your Local Area Network,
 or over the Internet, thanks to the Ysagoon Online Gaming meta-server. It
 also features a scripting language for versatile gameplay and an integrated
 map editor.

Package: glob2-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: innovative Real Time Strategy game - data files
 Globulation 2 is an ongoing, multi-platform project to create innovative
 high-quality RTS gameplay, minimizing micro-management and assigning tasks
 to the units automatically. You just have to order the number of units you
 want for a selected task and the units will do their best to satisfy your
 requirements.
 .
 This package provides the images, maps, and other architecture-independent
 data files for Globulation 2.
